@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;400;500;600;700;800;900;1000&display=swap');
@import url("https://fonts.googleapis.com/css2?family=Jost:wght@300;400;500;600;700;800;900&display=swap");



@use postcss-nested;
@import url(https://fonts.googleapis.com/css?family=Dancing+Script:400,700);


body {
  font-family: 'Nunito', sans-serif;
  margin: 0;
  padding: 0;
  height: 100vh;
}
.contactdetails{
  display: flex;
  justify-content: center;
  align-items: center;
}



.box3 {
  top: -62%;
  right: -30%;
  
  border-radius: 200px;
}
.box3 {
  width: 30%;
  height: 30%;
  bottom: -20%;
  left: -20%;
  transition-delay: 0.4s;

  &::before {
    background: radial-gradient(circle at 30% 107%, #969fff 0%, #b349ff 90%);
  }

  &:hover {
    &::before {
      opacity: 1;
    }

    .icon {
      .svg {
        filter: drop-shadow(0 0 5px white);
      }
    }
  }
}

.container {
  padding: 1rem;
  justify-content: center;
  align-items: center;
}

.main-box {
  height:50%;
  border-radius: 1rem;
  padding: 2rem;
 
}

.card3 {
  width: 300px;
  height: 300px;
  perspective: 1000px;
}

.card-main {
  height: 100%;
  border-radius: 50px;
  background: linear-gradient(135deg, rgba(0, 255, 214, 1) 0%, rgba(8, 226, 96, 1) 100%);
  transition: all 0.5s ease-in-out;
  transform-style: preserve-3d;
  box-shadow: rgba(5, 71, 17, 0) 40px 50px 25px -40px, rgba(5, 71, 17, 0.2) 0px 25px 25px -5px;
  position: relative;
}

.logo {
  position: absolute;
  right: 0;
  top: 0;
}
.card3 {
  width: 300px;
  height: 300px;
  perspective: 1000px;

  .card-main {
    height: 100%;
    border-radius: 50px;
    background: linear-gradient(
      135deg,
      rgba(0, 255, 214, 1) 0%,
      rgba(8, 226, 96, 1) 100%
    );
    transition: all 0.5s ease-in-out;
    transform-style: preserve-3d;
    box-shadow: rgba(5, 71, 17, 0) 40px 50px 25px -40px,
      rgba(5, 71, 17, 0.2) 0px 25px 25px -5px;

    .logo {
      position: absolute;
      right: 0;
      top: 0;
      transform-style: preserve-3d;
      .circle {
        display: block;
        position: absolute;
        aspect-ratio: 1;
        border-radius: 50%;
        top: 0;
        right: 0;
        box-shadow: rgba(100, 100, 111, 0.2) -10px 10px 20px 0px;
        backdrop-filter: blur(5px);
        background: rgba(0, 249, 203, 0.2);
        transition: all 0.5s ease-in-out;
      }

      .circle1 {
        width: 170px;
        transform: translate3d(0, 0, 20px);
        top: 8px;
        right: 8px;
      }
      .circle2 {
        width: 140px;
        transform: translate3d(0, 0, 40px);
        top: 10px;
        right: 10px;
        backdrop-filter: blur(1px);
        transition-delay: 0.4s;
      }
      .circle3 {
        width: 110px;
        transform: translate3d(0, 0, 60px);
        top: 17px;
        right: 17px;
        transition-delay: 0.8s;
      }
      .circle4 {
        width: 80px;
        transform: translate3d(0, 0, 80px);
        top: 23px;
        right: 23px;
        transition-delay: 1.2s;
      }
      .circle5 {
        width: 50px;
        transform: translate3d(0, 0, 100px);
        top: 30px;
        right: 30px;
        display: grid;
        place-content: center;
        transition-delay: 1.6s;

        .svg {
          width: 20px;
          fill: white;
        }
      }
    }

    .glass {
      transform-style: preserve-3d;
      position: absolute;
      inset: 8px;
      border-radius: 55px;
      border-top-right-radius: 100%;
      background: linear-gradient(
        0deg,
        rgba(255, 255, 255, 0.349) 0%,
        rgba(255, 255, 255, 0.815) 100%
      );
      backdrop-filter: blur(5px);
      transform: translate3d(0px, 0px, 25px);
      border-left: 1px solid white;
      border-bottom: 1px solid white;
      transition: all 0.5s ease-in-out;
    }

    .content {
      padding: 115px 60px 0px 30px;
      transform: translate3d(0, 0, 26px);
      .title {
        display: block;
        color: black;
        font-weight: 900;
        font-size: 20px;
      }
      .text {
        display: block;
        color: black;
        font-size: 15px;
        margin-top: 1%;
      }
    }

    .bottom {
      padding: 10px 12px;
      transform-style: preserve-3d;
      position: absolute;
      bottom: 20px;
      left: 20px;
      right: 20px;
      display: flex;
      align-items: center;
      justify-content: space-between;
      transform: translate3d(0, 0, 26px);

      .view-more {
        display: flex;
        align-items: center;
        width: 40%;
        justify-content: flex-end;
        transition: all 0.2s ease-in-out;
        &:hover {
          transform: translate3d(0, 0, 10px);
        }
        .view-more-button {
          background: none;
          border: none;
          color: #00c37b;
          font-weight: bolder;
          font-size: 12px;
        }
        .svg {
          fill: none;
          stroke: #00c37b;
          stroke-width: 3px;
          max-height: 15px;
        }
      }

      .social-buttons-container {
        display: flex;
        gap: 5px;
        transform-style: preserve-3d;
        .social-button {
          width: 30px;
          aspect-ratio: 1;
          padding: 5px;
          background: black;
          border-radius: 50%;
          border: none;
          display: grid;
          place-content: center;
          box-shadow: rgba(5, 71, 17, 0.5) 0px 7px 5px -5px;

          &:first-child {
            transition: transform 0.2s ease-in-out 0.4s,
              box-shadow 0.2s ease-in-out 0.4s;
          }

          &:nth-child(2) {
            transition: transform 0.2s ease-in-out 0.6s,
              box-shadow 0.2s ease-in-out 0.6s;
          }
          &:nth-child(3) {
            transition: transform 0.2s ease-in-out 0.8s,
              box-shadow 0.2s ease-in-out 0.8s;
          }

          .svg {
            width: 15px;
            fill: #00894d;
          }

          &:hover {
            background: black;
            .svg {
              fill: white;
            }
          }

          &:active {
            background: rgb(255, 234, 0);

            .svg {
              fill: black;
            }
          }
        }
      }
    }
  }

  &:hover {
    .card-main {
      transform: rotate3d(1, 1, 0, 30deg);
      box-shadow: rgba(5, 71, 17, 0.3) 30px 50px 25px -40px,
        rgba(5, 71, 17, 0.1) 0px 25px 30px 0px;

      .logo {
        .circle2 {
          transform: translate3d(0, 0, 60px);
        }
        .circle3 {
          transform: translate3d(0, 0, 80px);
        }
        .circle4 {
          transform: translate3d(0, 0, 100px);
        }
        .circle5 {
          transform: translate3d(0, 0, 120px);
        }
      }

      .bottom {
        .social-buttons-container {
          .social-button {
            transform: translate3d(0, 0, 50px);
            box-shadow: rgba(5, 71, 17, 0.2) -5px 20px 10px 0px;
          }
        }
      }
    }
  }
}
.circle {
  display: block;
  position: absolute;
  aspect-ratio: 1;
  border-radius: 50%;
  background: rgba(0, 249, 203, 0.2);
  box-shadow: rgba(100, 100, 111, 0.2) -10px 10px 20px 0px;
  backdrop-filter: blur(5px);
}

.circle1 { width: 170px; top: 8px; right: 8px; }
.circle2 { width: 140px; top: 10px; right: 10px; }
.circle3 { width: 110px; top: 17px; right: 17px; }
.circle4 { width: 80px; top: 23px; right: 23px; }
.circle5 { width: 50px; top: 30px; right: 30px; display: grid; place-content: center; }

.glass {
  inset: 8px;
  border-radius: 55px;
  background: linear-gradient(0deg, rgba(255, 255, 255, 0.349) 0%, rgba(255, 255, 255, 0.815) 100%);
  backdrop-filter: blur(5px);
  transform: translate3d(0px, 0px, 25px);
  border-left: 1px solid white;
  border-bottom: 1px solid white;
}

.content {
  padding: 100px 60px 0px 30px;
  color: black;
}
.title {
  font-weight: 900;
  font-size: 20px;
}

.text {
  font-size: 15px;
  color: #00894ec3;
  margin-top: 20px;
}

.bottom {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px;
  position: absolute;
  bottom: 20px;
  left: 20px;
  right: 20px;
}

.view-more-button {
  background: none;
  border: none;
  color: #00c37b;
  font-weight: bold;
  cursor: pointer;
}

.view-more-button:hover {
  text-decoration: underline;
}
.view-more i{
  color: #00c37b;
}

@font-face {
  font-family: 'Sisterli';
  src: url('Sisterli.ttf') format('ttf'),
       url('Sisterli.ttf') format('ttf');
  font-weight: normal;
  font-style: normal;
  
}
.letsbegin{
  font-family: 'Sisterli', sans-serif;
}
.text-center p{
  font-family: 'Dancing Script', cursive, sans-serif;
}






h1, p {
  margin: 0;
  padding: 0;
}

small {
  display: block;
  padding: 1rem 0;
  font-size: 0.8rem;
  transition: opacity 0.33s;
}
textarea, input, button {
  line-height: 1.5rem;
  border: 0;
  outline: none;
  font-family: inherit;
  appearance: none;
}
textarea, input {
  color: #4e5e72;
  background-color: transparent;
}
textarea {
 width: 100%;
 height: 8rem;
 resize: none;
}
input {
 width: 50%;
 margin-bottom: 1rem !important;
  &[type=text]:invalid, [type=email]:invalid {
    box-shadow: none;
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='10' height='24'><rect fill='rgba(240, 132, 114, 0.5)' x='0' y='23' width='10' height='1'/></svg>");
  }
}
button {
 padding: 0.5rem 1rem;
 border-radius: 0.25rem;
 /*background-color: rgba(78, 94, 114, 0.9);*/
 color: white;
 font-size: 1rem;
 transition: background-color 0.2s;
  &:hover,:focus {
    outline: none;
    background-color: rgba(78, 94, 114, 1);
  }
}
input[type=text]:focus,
input[type=email]:focus,
textarea:focus {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='10' height='24'><rect fill='rgba(78, 94, 114, 0.3)' x='0' y='23' width='10' height='1'/></svg>");
  outline: none;
}
.wrapper {
  width: 35rem;
  background-color: white;
}
.letter {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  width: 30rem;
  margin: auto;
  perspective: 60rem;
}
.side {
  height: 12rem;
  background-color: #fcfcf8;
  outline: 1px solid transparent;
  &:nth-of-type(1) {
    padding: 2rem 2rem 0;
    border-radius: 1rem 1rem 0 0;
    box-shadow: inset 0 0.75rem 2rem rgba(229, 225, 187, 0.5);
  }
  &.side:nth-of-type(2) {
    padding: 2rem;
    border-radius: 0 0 1rem 1rem;
    box-shadow: 0 0.3rem 0.3rem rgba(0, 0, 0, 0.05), inset 0 -0.57rem 2rem rgba(229, 225, 187, 0.5);
    text-align: right;
  }
}
.envelope {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  margin: auto;
}
.envelope.front {
  width: 10rem;
  height: 6rem;
  border-radius: 0 0 1rem 1rem;
  overflow: hidden;
  z-index: 9999;
  opacity: 0;
}
.envelope.front::before, .envelope.front::after {
  position: absolute;
  display: block;
  width: 12rem;
  height: 6rem;
  background-color: #e9dc9d;
  transform: rotate(30deg);
  transform-origin: 0 0;
  box-shadow: 0 0 1rem rgba(0, 0, 0, 0.1);
  content: '';
}
.envelope.front::after{
  right: 0;
  transform: rotate(-30deg);
  transform-origin: 100% 0;
}
.envelope.back {
  top: -4rem;
  width: 10rem;
  height: 10rem;
  overflow: hidden;
  z-index: -9998;
  opacity: 0;
  transform: translateY(-6rem);
  &::before {
    display: block;
    width: 10rem;
    height: 10rem;
    background-color: #e9dc9d;
    border-radius: 1rem;
    content: '';
    transform: scaleY(0.6) rotate(45deg)
  }
}
.result-message {
  opacity: 0;
  transition: all 0.3s 2s;
  transform: translateY(9rem);
  z-index: -9999;
}
.sent {
  & .letter {
    animation: scaleLetter 1s forwards ease-in /*,
               pushLetter 0.5s 1.33s forwards ease-out*/ ;
  }
  & .side:nth-of-type(1) {
    transform-origin: 0 100%;
    animation: closeLetter 0.66s forwards ease-in;
  }
  & .side:nth-of-type(1) h1, .side:nth-of-type(1) textarea {
    animation: fadeOutText 0.66s forwards linear;
  }
  & button {
    background-color: rgba(78, 94, 114, 0.2);
  }
  & .envelope {
    animation: fadeInEnvelope 0.5s 1.33s forwards ease-out;
  }
  & .result-message {
    opacity: 1;
    transform: translateY(12rem);
  }
  & small {
    opacity: 0;
  }
}
.centered {
  position: absolute;
  left: 0;
  right: 0;
  margin: 1rem auto;
}
@keyframes closeLetter {
   50% {transform: rotateX(-90deg);}
   100% {transform: rotateX(-180deg);}
}
@keyframes fadeOutText {
   49% {opacity: 1;}
   50% {opacity: 0;}
   100% {opacity: 0;}
}
@keyframes fadeInEnvelope {
  0% {opacity: 0; transform: translateY(8rem);}
  /*90% {opacity: 1; transform: translateY(4rem);}*/
  100% {opacity: 1; transform: translateY(4.5rem);}
}
@keyframes scaleLetter {
  66% {transform: translateY(-8rem) scale(0.5, 0.5);}
  75% {transform: translateY(-8rem) scale(0.5, 0.5);}
  90% {transform: translateY(-8rem) scale(0.3, 0.5);}
  97% {transform: translateY(-8rem) scale(0.33, 0.5);}
  100%{transform: translateY(-8rem) scale(0.3, 0.5);}
}


  /* Hide the scrollbar while keeping the scrolling functionality */
  .scrollbar-none::-webkit-scrollbar {
    display: none;
  }

  .scrollbar-none {
    -ms-overflow-style: none;  /* Internet Explorer 10+ */
    scrollbar-width: none;  /* Firefox */
  }

  @media (max-width: 768px) {
    .CTA {
      border: none;
      padding-bottom: 4rem;
    }
  }

 
    /* Custom animation for fade-in effect */
    @keyframes fadeIn {
      from {
          opacity: 0;
          transform: translateY(20px);
      }
      to {
          opacity: 1;
          transform: translateY(0);
      }
  }

  .fade-in {
      animation: fadeIn 0.8s ease-in-out;
  }
